Get a Template Fragment

Get a Template Fragment.

KeyDescription
VONAGE_APPLICATION_ID

The Vonage Application ID.

VONAGE_APPLICATION_PRIVATE_KEY_PATH

Private key path.

JWT

Used to authenticate your request. See Authentication for more information, including how to generate a JWT.

TEMPLATE_ID

The custom template ID

TEMPLATE_FRAGMENT_ID

The custom template fragment ID

Write the code

Add the following to update-template.sh:

curl -X PATCH "https://api.nexmo.com/v2/verify/templates/$VERIFY_TEMPLATE_ID" \
  -H "Authorization: Bearer $JWT"\
  -H 'Content-Type: application/json' \
  -d $'{
	   "name": "my-renamed-template",
     "is_default": false,
  }'

View full source

Run your code

Save this file to your machine and run it:

sh update-template.sh

Prerequisites

npm install @vonage/server-sdk

Create a file named get-fragment.js and add the following code:

const { Vonage } = require('@vonage/server-sdk');

const vonage = new Vonage ({
  applicationId: VONAGE_APPLICATION_ID,
  privateKey: VONAGE_APPLICATION_PRIVATE_KEY_PATH,
});

View full source

Write the code

Add the following to get-fragment.js:

vonage.verify2.getTemplateFragment(VERIFY_TEMPLATE_ID, VERIFY_TEMPLATE_FRAGMENT_ID)
  .then((fragment) => console.log(fragment))
  .catch((error) => console.error(error));

View full source

Run your code

Save this file to your machine and run it:

node get-fragment.js

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk-kotlin:2.1.1'

Create a file named GetTemplateFragment and add the following code to the main method:

val client = Vonage {
    applicationId(VONAGE_APPLICATION_ID)
    privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
}

View full source

Write the code

Add the following to the main method of the GetTemplateFragment file:

val existingTemplate = client.verify.template(VERIFY_TEMPLATE_ID)
val fragment = existingTemplate.fragment(VERIFY_TEMPLATE_FRAGMENT_ID).get()
println(fragment)

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.kt.verify.templates.fragments with the package containing GetTemplateFragment:

gradle run -Pmain=com.vonage.quickstart.kt.verify.templates.fragments.GetTemplateFragment

Prerequisites

Add the following to build.gradle:

implementation 'com.vonage:server-sdk:9.3.1'

Create a file named GetTemplateFragment and add the following code to the main method:

VonageClient client = VonageClient.builder()
		.applicationId(VONAGE_APPLICATION_ID)
		.privateKeyPath(VONAGE_PRIVATE_KEY_PATH)
		.build();

View full source

Write the code

Add the following to the main method of the GetTemplateFragment file:

var fragment = client.getVerify2Client().getTemplateFragment(VERIFY_TEMPLATE_ID, VERIFY_TEMPLATE_FRAGMENT_ID);
System.out.println(fragment);

View full source

Run your code

We can use the application plugin for Gradle to simplify the running of our application. Update your build.gradle with the following:

apply plugin: 'application'
mainClassName = project.hasProperty('main') ? project.getProperty('main') : ''

Run the following gradle command to execute your application, replacing com.vonage.quickstart.verify2.templates with the package containing GetTemplateFragment:

gradle run -Pmain=com.vonage.quickstart.verify2.templates.GetTemplateFragment

Prerequisites

Install-Package Vonage

Create a file named GetTemplateFragmentRequest.cs and add the following code:

var credentials = Credentials.FromAppIdAndPrivateKeyPath(VONAGE_APPLICATION_ID, VONAGE_APPLICATION_PRIVATE_KEY_PATH);
var client = new VonageClient(credentials);

View full source

Write the code

Add the following to GetTemplateFragmentRequest.cs:

var request = Vonage.VerifyV2.GetTemplateFragment.GetTemplateFragmentRequest.Parse(TEMPLATE_ID, TEMPLATE_FRAGMENT_ID);
var response = await client.VerifyV2Client.GetTemplateFragmentAsync(request);

View full source

Prerequisites

composer require vonage/client

Create a file named update-template.php and add the following code:

$client = new Vonage\Client(
    new Vonage\Client\Credentials\Keypair(VONAGE_APPLICATION_PRIVATE_KEY_PATH, VONAGE_APPLICATION_ID),
);

View full source

Write the code

Add the following to update-template.php:

$fragment = $client->verify2()->getCustomTemplateFragment(TEMPLATE_ID, TEMPLATE_FRAGMENT_ID);

View full source

Run your code

Save this file to your machine and run it:

php get-fragment.php

Prerequisites

gem install vonage

Create a file named get-template-fragment.rb and add the following code:

client = Vonage::Client.new(
  application_id: VONAGE_APPLICATION_ID,
  private_key: File.read(VONAGE_PRIVATE_KEY)
)

View full source

Write the code

Add the following to get-template-fragment.rb:

template_fragment = client.verify2.template_fragments.info(
  template_id: VERIFY_TEMPLATE_ID,
  template_fragment_id: VERIFY_TEMPLATE_FRAGMENT_ID
)

View full source

Run your code

Save this file to your machine and run it:

ruby get-template-fragment.rb